4Suite™ API Documentation

# ► Module Ft.Server.FtRpc.Responses

RPC server protocol responses
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtRpcResponse, FtServerErrorResponse, GeneralErrorResponse, MethodResultsResponse, OkResponse, RdfResultsResponse, ResourceTypeResponse |  |  |  | Fields: g_responseMapping

## Classes

class FtRpcResponse

### Methods

__init__(self)
send(self, connection)

class FtServerErrorResponse(FtRpcResponse)
A specific Ft Server exception occurred

### Methods

__init__(self, error)

### Methods inherited from class FtRpcResponse

send

### Fields

response = 5

class GeneralErrorResponse(FtRpcResponse)
This response class represents an unknown error condition. It is returned when ever a unknown exception occurs on the server

### Methods

__init__(self, error, traceback)

### Methods inherited from class FtRpcResponse

send

### Fields

response = 2

class MethodResultsResponse(FtRpcResponse)
The results of invoking a method

### Methods

__init__(self, path, results)

### Methods inherited from class FtRpcResponse

send

### Fields

response = 4

class OkResponse(FtRpcResponse)
Simple Acknowledge

### Methods inherited from class FtRpcResponse

__init__, send

### Fields

data = {}
response = 1

class RdfResultsResponse(FtRpcResponse)
The results of invoking a method on the model

### Methods

__init__(self, path, results)

### Methods inherited from class FtRpcResponse

send

### Fields

response = 6

class ResourceTypeResponse(FtRpcResponse)
Return the Resource type of an object

### Methods

__init__(self, path, resourceType)

### Methods inherited from class FtRpcResponse

send

### Fields

response = 3

## Fields

g_responseMapping = {1: <class Ft.Server.FtRpc.Responses.OkResponse>, 2: <class Ft.Server.FtRpc.Responses.GeneralErrorResponse>, 3: <class Ft.Server.FtRpc.Responses.ResourceTypeResponse>, 4: <class Ft.Server.FtRpc.Responses.MethodResultsResponse>, 5: <class Ft.Server.FtRpc.Responses.FtServerErrorResponse>, 6: <class Ft.Server.FtRpc.Responses.RdfResultsResponse>}